Bug 743162 - Review Request: python-concurrentloghandler - Concurrent logging handler
Review Request: python-concurrentloghandler - Concurrent logging handler
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pierre-YvesChibon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-03 23:02 EDT by Dan Callaghan
Modified: 2013-10-19 10:42 EDT (History)
4 users (show)

See Also:
Fixed In Version: python-concurrentloghandler-0.8.4-4.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-24 23:26:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
pingou: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dan Callaghan 2011-10-03 23:02:59 EDT
Spec URL: http://fedorapeople.org/~dcallagh/python-concurrentloghandler/python-concurrentloghandler.spec
SRPM URL: http://repos.fedorapeople.org/repos/dcallagh/python-concurrentloghandler/fedora-15/SRPMS/python-concurrentloghandler-0.8.4-2.fc15.src.rpm
Description: Provides a logging handler which can be used as a drop-in replacement for Python's builtin RotatingFileHandler, allowing multiple threads/processes to write to the same log file concurrently. This is useful in web applications running under mod_wsgi with multiple worker threads/processes.
Comment 1 Pierre-YvesChibon 2011-10-11 12:46:34 EDT
I believe you should use %global instead of %define.

Otherwise, do you plan to have this on epel ?
If not, you can do some cleaning:
http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
http://fedoraproject.org/wiki/Packaging/Guidelines#File_Permissions
http://fedoraproject.org/wiki/Packaging:Python#Macros
Comment 2 Dan Callaghan 2011-10-11 22:30:29 EDT
I would like to get this into EPEL6, since we'll be using it on RHEL6, but I'm not interested in RHEL5 so there is indeed a bunch of cleaning I can do.

Updated spec and SRPM:
http://fedorapeople.org/~dcallagh/python-concurrentloghandler/python-concurrentloghandler.spec
http://repos.fedorapeople.org/repos/dcallagh/python-concurrentloghandler/fedora-15/SRPMS/python-concurrentloghandler-0.8.4-3.fc15.src.rpm
Comment 3 Pierre-YvesChibon 2011-10-12 02:27:36 EDT
You did not elaborate on the presence of the patch, could you?
Comment 4 Pierre-YvesChibon 2011-10-12 02:28:49 EDT
And for consistency and safety you should use %{modname} rather than %modname in the Patch0 line.
Comment 6 Pierre-YvesChibon 2011-10-13 01:38:38 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

[x] : MUST - Package successfully compiles and builds into binary rpms on at least one supported architecture.
[x] : MUST - Spec file lacks Packager, Vendor, PreReq tags.
[x] : MUST - If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x] : MUST - Package use %makeinstall only when make install DESTDIR=... doesn't work.
[x] : MUST - Package is named according to the Package Naming Guidelines.
[x] : MUST - Rpmlint output is silent.
        
        rpmlint python-concurrentloghandler-0.8.4-4.fc17.src.rpm
        ================================================================================
        1 packages and 0 specfiles checked; 0 errors, 0 warnings.
        ================================================================================
        
        rpmlint python-concurrentloghandler-0.8.4-4.fc17.noarch.rpm
        ================================================================================
        1 packages and 0 specfiles checked; 0 errors, 0 warnings.
        ================================================================================
        
[x] : MUST - Sources used to build the package matches the upstream source, as provided in the spec URL.
        /home/pierrey/Scripts/python/FedoraReview/src/743162/ConcurrentLogHandler-0.8.4.tar.gz :
          MD5SUM this package     : 6d1665c645711380d29c06a7017eed49
          MD5SUM upstream package : 6d1665c645711380d29c06a7017eed49
        
[x] : MUST - Spec file name must match the spec package %{name}, in the format %{name}.spec.
[x] : MUST - Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
[-] : MUST - %build honors applicable compiler flags or justifies otherwise.
[x] : MUST - All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
[x] : MUST - Package contains no bundled libraries.
[x] : MUST - Changelog in prescribed format.
[x] : MUST - Sources contain only permissible code or content.
[x] : MUST - Macros in Summary, %description expandable at SRPM build time.
[x] : MUST - Package requires other packages for directories it uses.
[x] : MUST - Package uses nothing in %doc for runtime.
[x] : MUST - Package is not known to require ExcludeArch.
[x] : MUST - Permissions on files are set properly.
[x] : MUST - Package does not contain duplicates in %files.
[-] : MUST - Large documentation files are in a -doc subpackage, if required.
[x] : MUST - License field in the package spec file matches the actual license.
[x] : MUST - Package consistently uses macros. instead of hard-coded directory names.
[x] : MUST - Package meets the Packaging Guidelines.
[x] : MUST - Package does not generates any conflict.
[x] : MUST - Package obeys FHS, except libexecdir and /usr/target.
[x] : MUST - Package must own all directories that it creates.
[x] : MUST - Package does not own files or directories owned by other packages.
[x] : MUST - Package installs properly.
[x] : MUST - Requires correct, justified where necessary.
[x] : MUST - Spec file is legible and written in American English.
[-] : MUST - Package contains a SysV-style init script if in need of one.
[x] : MUST - File names are valid UTF-8.
[-] : MUST - Useful -debuginfo package or justification otherwise.
[x] : SHOULD - Reviewer should test that the package builds in mock.
[x] : SHOULD - Dist tag is present.
[x] : SHOULD - SourceX is a working URL.
[x] : SHOULD - Spec use %global instead of %define.
[-] : SHOULD - If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[x] : SHOULD - No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x] : SHOULD - Final provides and requires are sane (rpm -q --provides and rpm -q --requires).
[x] : SHOULD - Package functions as described.
[x] : SHOULD - Latest version is packaged.
[x] : SHOULD - Package does not include license text files separate from upstream.
[-] : SHOULD - Man pages included for all executables.
[x] : SHOULD - Patches link to upstream bugs/comments/lists or are otherwise justified.
[-] : SHOULD - Scriptlets must be sane, if used.
[-] : SHOULD - Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
[-] : SHOULD - Package should compile and build into binary rpms on all supported architectures.
[-] : SHOULD - %check is present and all tests pass.
[x] : SHOULD - Packages should try to preserve timestamps of original installed files.
[x] : SHOULD - SourceX / PatchY prefixed with %{name}.
        Patch0:         %{modname}-0.8.4-testpath.patch (%{modname}-0.8.4-testpath.patch)

This package is APPROVED

You may want to look into the tests present, it can help you making sure the package work as it is supposed to.



I will now sponsor you into the packager group and you will be able to
proceed with the following steps (uploading your package into the SCM,
build it, create an update)

The main lines are described there:
https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Add_Package_to_Source_Code_Management_.28SCM.29_system_and_Set_Owner
Some answers regarding Fedora's git are in:
http://fedoraproject.org/wiki/Using_git_FAQ_for_package_maintainers


If you have any questions or problem, feel free to email me or to ping me
on irc.

Also, the list of reviews can grow quite fast, so don't forget that as a packager you can now review packages from other packager.
You can find the unassigned review request on: http://fedoraproject.org/PackageReviewStatus/NEW.html


Welcome aboard :)
Comment 7 Dan Callaghan 2011-10-13 02:18:29 EDT
New Package SCM Request
=======================
Package Name: python-concurrentloghandler
Short Description: Concurrent logging handler for Python
Owners: dcallagh
Branches: f15 el6
InitialCC: pingou
Comment 8 Jon Ciesla 2011-10-13 08:39:31 EDT
Git done (by process-git-requests).

Added f16 branch.
Comment 9 Fedora Update System 2011-10-13 20:06:42 EDT
python-concurrentloghandler-0.8.4-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-concurrentloghandler-0.8.4-4.fc16
Comment 10 Fedora Update System 2011-10-15 10:30:19 EDT
python-concurrentloghandler-0.8.4-4.fc16 has been pushed to the Fedora 16 testing repository.
Comment 11 Fedora Update System 2011-10-24 23:26:01 EDT
python-concurrentloghandler-0.8.4-4.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.